def lunar_arithmetic(a, b):
    acs = str(a)
    bs = str(b)


    max_length = max(len(acs), len(bs))
    acs = acs.zfill(max_length)
    bs = bs.zfill(max_length)

    lunar_sum = []
    lunar_product = []

    for da, db in zip(acs, bs):
        da = int(da)
        db = int(db)

        lunar_sum.append(str(max(da, db)))
        lunar_product.append(str(min(da, db)))


    result_sum = ''.join(lunar_sum)
    result_product = ''.join(lunar_product)

    return result_sum, result_product



a = input()
b = input()


result_sum, result_product = lunar_arithmetic(a, b)


print(result_sum)
print(result_product)
